[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomButton.Click

Click - checks if the parent form has a Modal Result, then calls inherited method

## Declaration

Source position: stdctrls.pp line 1100

`protected procedure TCustomButton.Click; override;`

## Description

Click - the procedure which allows programmatic simulation of a mouse click, and thus activation of the Action associated with the OnClick event

## See also

TControl.Click |  | Click - a procedure that allows the programmer to simulate a mouse click over the control, and initiates the same Action as that associated with the OnClick event

The latest version of this document can be found at lazarus-ccr.sourceforge.net.